com.amazonaws.codegen.model.intermediate

## Class ShapeUnmarshaller

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.ShapeUnmarshaller

    public class ShapeUnmarshaller
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ShapeUnmarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getResultWrapper()`
`boolean` `isFlattened()`
`void` `setFlattened(boolean flattened)`
`void` `setResultWrapper(String resultWrapper)`
`ShapeUnmarshaller` `withFlattened(boolean flattened)`
`ShapeUnmarshaller` `withResultWrapper(String resultWrapper)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShapeUnmarshaller

    public ShapeUnmarshaller()

### Method Detail

#### getResultWrapper

    public String getResultWrapper()

#### setResultWrapper

    public void setResultWrapper(String resultWrapper)

#### withResultWrapper

    public ShapeUnmarshaller withResultWrapper(String resultWrapper)

#### isFlattened

    public boolean isFlattened()

#### setFlattened

    public void setFlattened(boolean flattened)

#### withFlattened

    public ShapeUnmarshaller withFlattened(boolean flattened)